import cadquery as cq

import math

slant_degree=15.0
thickness=20
rod_thickness=15.2
loop_thickness=1.5
stepper_motor_size=42
offset=8.83

gap = stepper_motor_size * math.sin(math.radians(slant_degree)) / math.sin(math.radians(90-slant_degree))
width = math.sqrt(gap**2 + stepper_motor_size**2 - 2*gap*stepper_motor_size*math.cos(math.radians(90)))
base = cq.Workplane('XY').lineTo(0,offset).polarLine(stepper_motor_size, 90-slant_degree)
base = base.hLine(width).polarLine(stepper_motor_size-2,270-slant_degree).tangentArcPoint((6,-11))
base = base.threePointArc((50,-20), (25, -30)).polarLine(10, 180-slant_degree).vLine(10).polarLine(12.5, -slant_degree)
base = base.threePointArc((35, -20), (25, 0)).polarLine(10, 180-slant_degree)
base = base.close().extrude(20)

# Render
show_object(base)


